### Method

# Gtk FileDialogget_initial_name

since: 4.10

#### Declaration [src]

    const char*
    gtk_file_dialog_get_initial_name (
      GtkFileDialog* self
    )

#### Description [src]

Gets the name for the file that should be initially set.

Available since: 4.10

Gets property | `Gtk.FileDialog:initial-name`

#### Return value

Type: `const char*`

The name.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.